Loading...
Searching...
No Matches
_snd_ump_msg_midi1_program Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | program
uint8_t | reserved

## Detailed Description

MIDI 1.0 Program Change (32bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi1_program::channel

Channel

## group

uint8_t _snd_ump_msg_midi1_program::group

UMP Group

## program

uint8_t _snd_ump_msg_midi1_program::program

Program number (7bit)

## reserved

uint8_t _snd_ump_msg_midi1_program::reserved

Unused

## status

uint8_t _snd_ump_msg_midi1_program::status

Status

## type

uint8_t _snd_ump_msg_midi1_program::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h